EjbConnector (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.ejb.EjbConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ejb
Class EjbConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.AbstractJndiConnector
              org.mule.transport.rmi.RmiConnector
                  org.mule.transport.ejb.EjbConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Connectable, Connector

    public class EjbConnector

extends RmiConnector

Provides Connection configurstion for EJB endpoints

Field Summary
`static String` | `EJB`
`static int` | `EJB_SERVICECLASS_INVOCATION_FAILED`

Fields inherited from class org.mule.transport.rmi.RmiConnector
`DEFAULT_RMI_muleRegistry_PORT, pollingFrequency, PROPERTY_RMI_SECURITY_POLICY, PROPERTY_RMI_SERVER_CODEBASE, PROPERTY_SERVER_CLASS_NAME, PROPERTY_SERVICE_METHOD_PARAM_TYPES, PROPERTY_SERVICE_METHOD_PARAMS_LIST, RMI`

Fields inherited from class org.mule.transport.AbstractJndiConnector
`jndiContext, jndiInitialFactory, jndiProviderProperties, jndiProviderUrl, jndiUrlPkgPrefixes`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`EjbConnector()`

Method Summary
`String` | `getProtocol()`
`Remote` | `getRemoteObject(ImmutableEndpoint endpoint)`

Methods inherited from class org.mule.transport.rmi.RmiConnector
`createReceiver, doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, getMethodObject, getPollingFrequency, getRemoteRef, getSecurityManager, getSecurityPolicy, getServerClassName, getServerCodebase, setPollingFrequency, setSecurityManager, setSecurityPolicy, setServerClassName, setServerCodebase, stringsToClasses`

Methods inherited from class org.mule.transport.AbstractJndiConnector
`getJndiContext, getJndiContext, getJndiInitialFactory, getJndiProviderProperties, getJndiProviderUrl, getJndiUrlPkgPrefixes, initJndiContext, setJndiContext, setJndiInitialFactory, setJndiProviderProperties, setJndiProviderUrl, setJndiUrlPkgPrefixes`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMessageAdapter, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isResponseEnabled, isStarted, isSyncEnabled, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, start, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EJB

    public static final String EJB

See Also:
  Constant Field Values

### EJB_SERVICECLASS_INVOCATION_FAILED

    public static final int EJB_SERVICECLASS_INVOCATION_FAILED

See Also:
  Constant Field Values

Constructor Detail

### EjbConnector

    public EjbConnector()

Method Detail

### getProtocol

    public String getProtocol()

  Specified by:
    `getProtocol` in interface `Connector`
  Overrides:
    `getProtocol` in class `RmiConnector`
  Returns:
    the primary protocol name for endpoints of this connector

### getRemoteObject

    public Remote getRemoteObject(ImmutableEndpoint endpoint)
                           throws RemoteException,
                                  UnknownHostException

  Overrides:
    `getRemoteObject` in class `RmiConnector`
  Throws:
    `RemoteException`
    `UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.